Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.0 NetUI Controls Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | SOURCE | FRAMES | NO FRAMES

## http://www.w3.org/1999/xhtml-netuix-modified/1.0.0
element head

Documentation

            content model is "head.misc" combined with a single
            title and an optional base element in any order

Properties
  This component is not nillable.

Model
  `<head
  dir = xs:token
  htmlId = xs:ID
  lang = LanguageCode
  lang = xs:language
  profile = URI>
  ((script | style | meta | link | objecttag)* , ((title, (script | style | meta | link | objecttag)* , (base, (script | style | meta | link | objecttag)* )?) | (base, (script | style | meta | link | objecttag)* , title, (script | style | meta | link | objecttag)* )) )
  </head>`

Nested Element Summary
`` | `base`
`` | `base`
`` | `link`
`` | `link`
`` | `link`
`` | `link`
`` | `link`
`` | `meta`
`` | `meta`
`` | `meta`
`` | `meta`
`` | `meta`
`` | `objecttag`
`` | `objecttag`
`` | `objecttag`
`` | `objecttag`
`` | `objecttag`
`` | `script`
`` | `script`
`` | `script`
`` | `script`
`` | `script`
`` | `style`
`` | `style`
`` | `style`
`` | `style`
`` | `style`
`` | `title`
`` | `title`

Attribute Summary
`xs:token` | `dir`
`xs:ID` | `htmlId`
`LanguageCode` | `lang`
`xs:language` | `lang` Attempting to install the relevant ISO 2- and 3-letter codes as the enumerated possible values is probably never going to be a realistic possibility.
`URI` | `profile`

Attribute Detail

### dir

Type:
  based on ``
  with :

Use:
  `optional`

Form:
  `unqualified`

### htmlId

Type:
  `xs:ID`

Use:
  `optional`

Form:
  `unqualified`

### lang

Type:
  `LanguageCode`

Use:
  `optional`

Form:
  `unqualified`

### lang

  Attempting to install the relevant ISO 2- and 3-letter codes as the enumerated possible values is probably never going to be a realistic possibility. See RFC 3066 at http://www.ietf.org/rfc/rfc3066.txt and the IANA registry at http://www.iana.org/assignments/lang-tag-apps.htm for further information.

Type:
  `xs:language`

Use:
  `optional`

Form:
  `unqualified`

### profile

Type:
  `URI`

Use:
  `optional`

Form:
  `unqualified`

Source

      <xs:element name="head">
        <xs:complexType>
          <xs:sequence>
            <xs:group ref="head.misc"/>
            <xs:choice>
              <xs:sequence>
                <xs:element ref="title"/>
                <xs:group ref="head.misc"/>
                <xs:sequence minOccurs="0">
                  <xs:element ref="base"/>
                  <xs:group ref="head.misc"/>
                </xs:sequence>
              </xs:sequence>
              <xs:sequence>
                <xs:element ref="base"/>
                <xs:group ref="head.misc"/>
                <xs:element ref="title"/>
                <xs:group ref="head.misc"/>
              </xs:sequence>
            </xs:choice>
          </xs:sequence>
          <xs:attributeGroup ref="i18n"/>
          <xs:attribute name="htmlId" type="xs:ID"/>
          <xs:attribute name="profile" type="URI"/>
        </xs:complexType>
      </xs:element>

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.0 NetUI Controls Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | SOURCE | FRAMES | NO FRAMES

Copyright 2005 BEA Systems Inc. Complete WebLogic Server Documentation